function normals = get_normals_x(img)
%approximates the normals in the horizontal direction. First we are
%going to calculate the horizontal normal angle for pixel i by
%looking at the difference from (i-1) to i, then from i to
%(i+1). We calculate an angle from each of those, then average them
%together to get the actual normal field

%first remove top and bottom layer of the image, so we end up with
%a 198 x 198 answer
img = img(2:(end-1),:);

firstApprox = img(:,1:(end-2)) - img(:,2:(end-1));
secondApprox = img(:,2:(end-1)) - img(:,3:end);

%arctan to get the angle
firstApprox = atan(firstApprox);
secondApprox = atan(secondApprox);

normals = (firstApprox + secondApprox) ./ 2;

%pad out to 200x200 - this is now standard for all feature
%extraction
normals = pad_image_border(normals);