function normals = get_normals_y(img)
%approximates the normals in the horizontal direction. First we are
%going to calculate the horizontal normal angle for pixel i by
%looking at the difference from (i-1) to i, then from i to
%(i+1). We calculate an angle from each of those, then average them
%together to get the actual normal field

%first remove the left and right sides of the image
img = img(:,2:(end-1));
%form both the approximtions
firstApprox = img(1:(end-2),:) - img(2:(end-1),:);
secondApprox = img(2:(end-1),:) - img(3:end,:);

%arctan to get the angle
firstApprox = atan(firstApprox);
secondApprox = atan(secondApprox);

normals = (firstApprox + secondApprox) ./ 2;

%pad to 200x200;
normals = pad_image_border(normals);