function features = iplNormaliseFeatures(features, means, stdDevs)
%normalise the features based on the specified means and
%stddevs. Note these are not calculated, because we will want to
%normalise the test set features using the means/ stdDevs of the
%training set
means = repmat(means, size(features,1), 1);

%there may be no variation in some of the features if we just have one
%frame. In that case, replace zeros with ones.
stdDevs(stdDevs == 0) = 1;
stdDevs = repmat(stdDevs, size(features, 1), 1);

features = (features - means);
features = features ./ stdDevs;