function confidenceImg = predict_frame_confidence(frame, model, forest)
%for a given frame struct, a model (containing the means and stdDevs we normalised by) 
%and a forest pointer

features = extract_features(frame); 

if isfield(model, 'feat_indices'),
    features.x = normalise_features(features.x(:, model.feat_indices), ...
                                      model.means(model.feat_indices), ...
                                      model.stdDevs(model.feat_indices));
else
    features.x = normalise_features(features.x, model.means, model.stdDevs);
end

y = rf_predict(forest, features.x);

y = reshape(y, 200, 200);

%after this we are in the range 0..1, so proper confidences
confidenceImg = (y+1)/2;